:root {
  color-scheme: light dark;

  --error-fg-color: red;

  --light-ruled-line-color: silver;
  --dark-ruled-line-color: #666666;

  --light-table-header-bg-color: #f0f0f0;
  --dark-table-header-bg-color: #333333;

  --light-pagination-fg-color: dimgray;
  --dark-pagination-fg-color: #999999;

  --margin-between-blocks: 16px;
}

body {
  margin: 0 auto 24px;
  width: 95%;
}

h1 {
  margin: 0;
  padding: 16px 0;
  text-align: center;
}

.breadcrumb {
  margin: var(--margin-between-blocks) 0 0;

  ol {
    display: flex;
    list-style: none;
    overflow-x: auto;
    white-space: nowrap;
    margin: 0;
    padding: 0;

    li:not(:last-child)::after {
      content: '>';
      margin: 0 8px;
    }
  }
}

details {
  margin-top: var(--margin-between-blocks);

  summary {
    font-weight: bold;
  }

  > ul,
  > ul > li:not(:first-of-type) {
    margin: 8px 0 0 0;
  }
}

form {
  margin-top: var(--margin-between-blocks);
}

fieldset {
  padding: 4px 12px 12px 12px;
  border: 1px solid light-dark(var(--light-ruled-line-color), var(--dark-ruled-line-color));
  display: flex;
  align-items: start;
  gap: 16px;

  div:last-of-type {
    align-self: center;
  }

  label {
    display: block;

    &:has(input[type="checkbox"]) {
      margin-top: 4px;
    }
  }

  input#title {
    box-sizing: border-box;
    padding: 4px 8px;
    width: 18em;
  }

  select {
    padding: 4px;
  }

  button[type="submit"] {
    padding: 12px 24px;
  }
}

p.error {
  margin-top: var(--margin-between-blocks);
  padding: 0;
  color: var(--error-fg-color);
  font-weight: bold;
}

table {
  width: 100%;
  border-collapse: collapse;

  caption {
    margin: var(--margin-between-blocks) 0 4px 0;
    text-align: left;
  }

  th, td {
    padding: 4px 8px;
    border: 1px solid light-dark(var(--light-ruled-line-color), var(--dark-ruled-line-color));
  }

  th {
    position: sticky;
    top: 0;
    background: light-dark(var(--light-table-header-bg-color), var(--dark-table-header-bg-color));

    &:before {
      content: "";
      position: absolute;
      top: -1px;
      left: 0;
      width: 100%;
      height: 100%;
      border-top: 1px solid light-dark(var(--light-ruled-line-color), var(--dark-ruled-line-color));
      border-bottom: 2px solid light-dark(var(--light-ruled-line-color), var(--dark-ruled-line-color));
    }
  }

  tfoot {
    border-top: 2px solid light-dark(var(--light-ruled-line-color), var(--dark-ruled-line-color));
    background: light-dark(var(--light-table-header-bg-color), var(--dark-table-header-bg-color));
    font-weight: bold;
  }
}

figure {
  margin: 16px 0 0 0;
  text-align: center;

  div.scroll-container {
    overflow-x: auto;
    white-space: nowrap;
    max-width: 100%;
  }

  div.scroll-container img {
    display: inline-block;
    height: auto;
  }

  figcaption {
    text-align: center;
  }
}

ul.pagination {
  margin-top: var(--margin-between-blocks);
  padding: 0;
  display: flex;
  list-style: none;
  gap: 12px;

  li {
    &:not(.current) {
      color: light-dark(var(--light-pagination-fg-color), var(--dark-pagination-fg-color));
    }

    &.current {
      font-weight: bold;
    }
  }
}

p.export {
  text-align: right;
  margin: var(--margin-between-blocks) 0 0 0;
}

p.nodata {
  text-align: center;
  margin: var(--margin-between-blocks) 0;
  padding: 16px;
  color: var(--error-fg-color);
  border: 1px solid var(--error-fg-color);
  font-weight : bold;
}

@media (width <= 960px) {
  details {
    > ul > li > ul > li:not(:first-of-type) {
      margin-top: 4px;
    }
  }

  fieldset {
    flex-direction: column;
    align-items: normal;
    gap: 8px;

    div:last-of-type {
      align-self: start;
    }

    input#title, select {
      width: 100%;
    }
  }
}

@media (width <= 480px) {
  body {
    font-size: 80%;
  }

  details {
    > ul {
      padding-left: 3em;
    }

    > ul > li > ul {
      padding-left: 2em;
    }
  }

  table {
    th, td {
      padding: 4px 4px;
    }
  }
}
